self: super: {
  freeradius = super.freeradius.override {
    withJson = true;
    withRest = true;
  };

  python3 = let packageOverrides = final: prev: import ./python final prev;
  in super.python3.override { inherit packageOverrides; };
  python39 = let packageOverrides = final: prev: import ./python final prev;
  in super.python39.override { inherit packageOverrides; };

  yate = super.yate.overrideAttrs (old: {
    configureFlags =
      [ "--with-libpq=${self.postgresql.withPackages (ps: [ ])}" ];
  });

  t38modem = self.callPackage ./t38modem.nix { };
  ptlib = self.callPackage ./ptlib.nix { };
  opal = self.callPackage ./opal.nix { };
}
